/* Example: simple functions */
/* Functions taking one or more arguments and returning a value */

#include <stdio.h>

/* Function prototypes: */

float square(float x);       /* computes x squared */
float cube(float x);         /* computes x cubed */
float power(float x, int n); /* computes x to power n >= 0 */
  

main()
{
  float X;
  int N;
  
  printf("Enter a floating point number: ");
  scanf("%f", &X);
  printf("Enter an integer >= 0: ");
  scanf("%i", &N);
  
  printf("The square of %f is %f\n", X, square(X));
  
  printf("The cube of %f is %f\n", X, cube(X));
  
  printf("%f to the power %i is %f\n", X, N, power(X, N));
}


/* Function definitions: */

float square(float x)  /* computes x squared */
{
  return x * x;
}


float cube(float x)  /* computes x cubed */
{
  return x * x * x;
}


float power(float x, int n)  /* computes x to power n >= 0*/
{
  /* Note: no check is made for n >= 0! */
  
  float t = 1;
  
  while (n > 0)
  {
    t *= x;
    n--;
  }
    
  return t;
}

